メディアをアップロード
curl --request POST \
--url https://api.x.com/2/media/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"media": "<string>",
"media_category": "tweet_image",
"additional_owners": [
"2244994945"
],
"media_type": "image/png",
"shared": false
}
'import requests
url = "https://api.x.com/2/media/upload"
payload = {
"media": "<string>",
"media_category": "tweet_image",
"additional_owners": ["2244994945"],
"media_type": "image/png",
"shared": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
media: '<string>',
media_category: 'tweet_image',
additional_owners: ['2244994945'],
media_type: 'image/png',
shared: false
})
};
fetch('https://api.x.com/2/media/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769",
"media_key": "<string>",
"expires_after_secs": 123,
"processing_info": {
"check_after_secs": 123,
"progress_percent": 123
},
"size": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}アップロード
メディアをアップロード
ポストやその他のコンテンツで使用するメディアファイルをアップロードします。
POST
/
2
/
media
/
upload
メディアをアップロード
承認
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/jsonmultipart/form-data
アップロードするファイル。
メディアのユースケースを識別する文字列列挙型の値です。この識別子は、ユースケース固有の制約(例:ファイルサイズ)を適用し、高度な機能を有効にするために使用されます。
利用可能なオプション:
tweet_image, dm_image, subtitles 例:
"tweet_image"
このユーザーの一意の識別子。大きな整数値を扱えない言語やツールとの互換性の問題を避けるため、文字列として返されます。
Pattern:
^[0-9]{1,19}$画像または字幕の種類。
利用可能なオプション:
text/srt, text/vtt, image/jpeg, image/bmp, image/png, image/webp, image/pjpeg, image/tiff 例:
"image/png"
このメディアが共有されているかどうか。
レスポンス
リクエストは成功しました。
メディアアップロードリクエストのステータス取得に対するレスポンス。
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I